# 32/64 bit spec-file
#

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0
%define develname %mklibname -d %{name}

# Needed to obsolete old amarok2 packages
%define libname_orig2 libamarok2
%define libname2 %mklibname amarok2 0
%define develname2 %mklibname -d amarok2



Name:		amarok
Summary:	A powerful media player for KDE4
Summary(de):	Ein leistungsfähiger Media-Player für KDE
Version:	2.8.0
Release:	%mkrel 3
License:	GPL
Url:		http://amarok.kde.org/
Group:		Graphical desktop/KDE4
Source0:	amarok-%version.tar.xz
Source1:	splash_screen.jpg
Patch0001:	0001-Fix-initial-preference-in-.desktop-from-2.1.90.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libtaglib-devel >= 1.0.1
BuildRequires:	libffmpeg-devel
BuildRequires:	cmake >= 2.4.5
BuildRequires:	libloudmouth-devel
BuildRequires:	mysql-static-devel
BuildRequires:	glib2-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libgpod-devel
BuildRequires:	curl-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	taglib-extras-devel
BuildRequires:	qtscriptgenerator
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	%{_lib}njb-devel
BuildRequires:	%{_lib}ifp-devel
BuildRequires:	%{_lib}mtp-devel >= 0.3.0
BuildRequires:	%{_lib}mygpo-qt-devel
BuildRequires:	%{_lib}qca2-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	%{_lib}lastfm-devel
BuildRequires:	%{_lib}ofa-devel
Requires:	%{_lib}mysql16
Requires:	%{_lib}phonon4
Requires:	%{_lib}phononexperimental4
Requires:	%{_lib}taglib1
Requires:	qtscriptbindings
Requires:	mysql-common
Requires:	taglib-extras >= 1.0.1
Requires:	taglib >= 1.6
Requires:	phonon-gstreamer
Obsoletes:	amarok < %version
Obsoletes:	amarok-devel < %version
Obsoletes:	amarok-engine-helix < %version
Obsoletes:	amarok-engine-karma < %version
Obsoletes:	amarok-engine-xine < %version
Obsoletes:	amarok-engine-yauap < %version
Obsoletes:	amarok-remote < %version
Obsoletes:	amarok-scripts < %version


%description
Feature Overview 
 
* Music Collection:
You have a huge music library and want to locate tracks quickly? Let amaroK's
powerful Collection take care of that! It's a database powered music store, 
which keeps track of your complete music library, allowing you to find any 
title in a matter of seconds. 
 
* Intuitive User Interface:
You will be amazed to see how easy amaroK is to use! Simply drag-and-drop files
into the playlist. No hassle with complicated  buttons or tangled menus. 
Listening to music has never been easier! 
 
* Streaming Radio:
Web streams take radio to the next level: Listen to thousands of great radio
stations on the internet, for free! amaroK provides excellent streaming
support, with advanced features, such as displaying titles of the currently
playing songs. 
 
* Context Browser:
This tool provides useful information on the music you are currently listening
to, and can make listening suggestions, based on your personal music taste. An
innovate and unique feature. 
 
* Visualizations:
amaroK is compatible with XMMS visualization plugins. Allows you to use the
great number of stunning visualizations available on the net. 3d visualizations
with OpenGL are a great way to enhance your music experience. 

%description -l de
Eine leistungsfähige Media-Player für KDE.
Funktionsübersicht:

* Musik-Sammlung:
Sie haben eine riesige Musikbibliothek und möchten die Stücke schnell auffinden? 
Lassen Sie amaroK's leistungsstarke Sammlung darum kümmern! Es ist ein Datenbank 
gestützter Informationsspeicher für Musik, der alle ihre Stücke in einer 
vollständigen Musikbibliothek zusammenfasst, und es ihnen ermöglicht, alle Titel 
in wenigen Sekunden zu finden.

* Intuitive Benutzeroberfläche:
Sie werden überrascht sein, wie leicht AmaroK zu verwenden ist! Einfaches 
Ziehen und Ablegen der Dateien in der Wiedergabeliste. Keine Umstände mit 
komplizierten Schaltflächen oder verwirrenden Menüs. Musik hören ist nie einfacher 
gewesen!

* Streaming Radio:
Web-Streams bringen Radio auf die nächste Stufe: Hören sie Tausende von großen 
Radiosendern im Internet kostenlos! AmaroK bietet ausgezeichnete streaming 
Unterstützung, mit erweiterten Funktionen, wie z. B. Anzeigen der Titel der 
aktuell wiedergegebenen Songs.

* Kontext Browser:
dieses Werkzeug bietet nützliche Informationen über die Musik, die sie derzeit 
hören, und kann auch Vorschläge, basierend auf Ihrem persönlichen Musikgeschmack 
machen. Eine Innovative und einzigartige Funktion.

* Visualisierungen:
AmaroK ist kompatibel mit XMMS Visualisierungserweiterungen. Dies ermöglichen 
ihnen, eine große Anzahl der verfügbaren atemberaubenden Visualisierungen aus 
dem Netz zu verwenden. 3D Visualisierungen mit OpenGL bieten ihnen 
eine hervorragende Möglichkeit, ihre Musik-Erfahrungen zu steigern.


%files 
%defattr(-,root,root) 
%{_kde_bindir}/amarok
%{_kde_bindir}/amarok_afttagger
%{_kde_bindir}/amarokmp3tunesharmonydaemon
%{_kde_bindir}/amarokpkg
%{_kde_bindir}/amzdownloader
%{_kde_datadir}/applications/kde4/amarok.desktop
%{_kde_datadir}/config/amarok.knsrc
%{_kde_datadir}/config/amarok_homerc
%{_kde_datadir}/config.kcfg/amarokconfig.kcfg
%{_kde_appsdir}/desktoptheme/*
%dir %{_kde_appsdir}/amarok
%{_kde_appsdir}/amarok/*
%{_kde_libdir}/kde4/*
%{_kde_datadir}/config/amarokapplets.knsrc
%{_kde_datadir}/kde4/services/*
%{_kde_datadir}/kde4/servicetypes/*
%{_kde_iconsdir}/*/*/*/amarok.*
%{_kde_bindir}/amarokcollectionscanner
%dir %{_kde_appsdir}/amarok/scripts/
%{_kde_appsdir}/amarok/scripts/*
%_datadir/locale/*/LC_MESSAGES/*.mo
%{_kde_datadir}/dbus-1/interfaces/*

%{_kde_libdir}/libamarok-sqlcollection.so.*
%{_kde_datadir}/apps/solid/actions/amarok-play-audiocd.desktop
%{_kde_libdir}/libamaroklib.so.*
%{_kde_libdir}/libamarokocsclient.so.*
%{_kde_libdir}/libamarokpud.so.*

%{_libdir}/libamarokcore.so.1
%{_libdir}/libamarokcore.so.1.0.0
%{_kde_datadir}/applications/kde4/amarok_containers.desktop

%{_libdir}/libamarok-transcoding.so.1
%{_libdir}/libamarok-transcoding.so.1.0.0
%{_libdir}/libampache_account_login.so

%{_kde_datadir}/apps/kconf_update/amarok-2.4.1-tokens_syntax_update.pl
%{_kde_datadir}/apps/kconf_update/amarok.upd

%{_kde_libdir}/libamarok_service_lastfm_shared.so

%{_libdir}/libamarokshared.so.1
%{_libdir}/libamarokshared.so.1.0.0
%{_kde_datadir}/applications/kde4/amzdownloader.desktop
%{_kde_datadir}/mime/packages/amzdownloader.xml
#------------------------------------------------

%package devel
Summary:	Headers of %name for development
Summary(de):	Entwickler Paket für %name
Group:		Development/Libraries
Requires:	%name = %version

%description devel
Headers of %{name} for development.
#german
%description devel -l de
Header von %name für die weitere Entwicklung.

%files devel
%defattr(-,root,root)
%{_kde_libdir}/libamaroklib.so
%{_kde_libdir}/libamarokpud.so
%{_kde_libdir}/libamarokocsclient.so
%{_kde_libdir}/libamarok-sqlcollection.so
%{_libdir}/libamarokcore.so
%{_libdir}/libamarok-transcoding.so
%{_libdir}/libamarokshared.so
#--------------------------------------------------------------------

%package help
Summary:	Help files for %name.
Summary(de):	Dokumentation für %name
Group:		Documentation
Requires:	%name = %version

%description help
Help files for %{name}.
#german
%description help -l de
Handbuch für %name.

%files help
%defattr(-,root,root)
%{_kde_datadir}/doc


%prep
pwd
%setup -q 
%apply_patches


%build

export CXXFLAGS="-D__STDC_CONSTANT_MACROS"

%cmake_kde4 -DKDE4_BUILD_TESTS=OFF

%make

%install
rm -rf %buildroot
cd build
%{makeinstall_std}
%find_lang %{name} amarokcollectionscanner_qt amarok_scriptengine_qscript amarokpkg

#Our Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/amarok.desktop

#CUSTOM SPLASH
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/apps/amarok/images/splash_screen.jpg

%posttrans
rm -rf /var/tmp/kdecache-*/Amarok-pixmaps.kcache > /dev/null 2>&1
rm -rf /var/tmp/kdecache-*/icon-cache.kcache > /dev/null 2>&1


%clean
rm -rf %buildroot

#______________________________________________________________________________

%changelog
* Tue Nov 18 2014 bb <bb> 2.8.0-3pclos2104
- rebuild new ffmpeg 2.4

* Tue Dec 24 2013 bb <bb> 2.8.0-2pclos2013
- remove post script information

